Loading...
Searching...
No Matches
BALL::EdgeItem< Node, Edge > Class Template Reference

`#include <BALL/STRUCTURE/simpleMolecularGraph.h>`

## Public Types

typedef NodeItem< Node, Edge > | NodeItemType
typedef EdgeItem< Node, Edge > | EdgeItemType
typedef std::list< NodeItem< Node, Edge > * >::iterator | Iterator
typedef std::list< NodeItem< Node, Edge > * >::const_iterator | ConstIterator

## Public Member Functions

| EdgeItem ()
| EdgeItem (const Bond &bond)
| EdgeItem (const Bond &bond, NodeItemType *source, NodeItemType *target)
NodeItemType & | getSource ()
NodeItemType & | getTarget ()
const NodeItemType & | getSource () const
const NodeItemType & | getTarget () const
Node & | getData ()
const Node & | getData () const
void | setData (const Edge &data)
Bond * | getBond ()
const Bond * | getBond () const
bool | operator== (const EdgeItem &item) const
bool | operator!= (const EdgeItem &item) const

## Protected Attributes

Edge | data_
Bond * | bond_
NodeItemType * | source_
NodeItemType * | target_

## Detailed Description

template<typename Node, typename Edge>
class BALL::EdgeItem< Node, Edge >

Definition at line 93 of file simpleMolecularGraph.h.

## Member Typedef Documentation

## ConstIterator

template<typename Node, typename Edge>

typedef std::list<NodeItem<Node,Edge>*>::const_iterator BALL::EdgeItem< Node, Edge >::ConstIterator

Definition at line 99 of file simpleMolecularGraph.h.

## EdgeItemType

template<typename Node, typename Edge>

typedef EdgeItem<Node, Edge> BALL::EdgeItem< Node, Edge >::EdgeItemType

Definition at line 97 of file simpleMolecularGraph.h.

## Iterator

template<typename Node, typename Edge>

typedef std::list<NodeItem<Node,Edge>*>::iterator BALL::EdgeItem< Node, Edge >::Iterator

Definition at line 98 of file simpleMolecularGraph.h.

## NodeItemType

template<typename Node, typename Edge>

typedef NodeItem<Node, Edge> BALL::EdgeItem< Node, Edge >::NodeItemType

Definition at line 96 of file simpleMolecularGraph.h.

## Constructor & Destructor Documentation

## EdgeItem() [1/3]

template<typename Node, typename Edge>

BALL::EdgeItem< Node, Edge >::EdgeItem | ( |  | ) |

inline

Definition at line 101 of file simpleMolecularGraph.h.

## EdgeItem() [2/3]

template<typename Node, typename Edge>

BALL::EdgeItem< Node, Edge >::EdgeItem | ( | const Bond & | bond | ) |

Definition at line 131 of file simpleMolecularGraph.h.

## EdgeItem() [3/3]

template<typename Node, typename Edge>

BALL::EdgeItem< Node, Edge >::EdgeItem | ( | const Bond & | bond,
|  | NodeItemType * | source,
|  | NodeItemType * | target )

Definition at line 137 of file simpleMolecularGraph.h.

## Member Function Documentation

## getBond() [1/2]

template<typename Node, typename Edge>

Bond * BALL::EdgeItem< Node, Edge >::getBond | ( |  | ) |

inline

Definition at line 117 of file simpleMolecularGraph.h.

## getBond() [2/2]

template<typename Node, typename Edge>

const Bond * BALL::EdgeItem< Node, Edge >::getBond | ( |  | ) | const

inline

Definition at line 118 of file simpleMolecularGraph.h.

## getData() [1/2]

template<typename Node, typename Edge>

Node & BALL::EdgeItem< Node, Edge >::getData | ( |  | ) |

inline

Definition at line 113 of file simpleMolecularGraph.h.

## getData() [2/2]

template<typename Node, typename Edge>

const Node & BALL::EdgeItem< Node, Edge >::getData | ( |  | ) | const

inline

Definition at line 114 of file simpleMolecularGraph.h.

## getSource() [1/2]

template<typename Node, typename Edge>

NodeItemType & BALL::EdgeItem< Node, Edge >::getSource | ( |  | ) |

inline

Definition at line 108 of file simpleMolecularGraph.h.

## getSource() [2/2]

template<typename Node, typename Edge>

const NodeItemType & BALL::EdgeItem< Node, Edge >::getSource | ( |  | ) | const

inline

Definition at line 110 of file simpleMolecularGraph.h.

## getTarget() [1/2]

template<typename Node, typename Edge>

NodeItemType & BALL::EdgeItem< Node, Edge >::getTarget | ( |  | ) |

inline

Definition at line 109 of file simpleMolecularGraph.h.

## getTarget() [2/2]

template<typename Node, typename Edge>

const NodeItemType & BALL::EdgeItem< Node, Edge >::getTarget | ( |  | ) | const

inline

Definition at line 111 of file simpleMolecularGraph.h.

## operator!=()

template<typename Node, typename Edge>

bool BALL::EdgeItem< Node, Edge >::operator!= | ( | const EdgeItem< Node, Edge > & | item | ) | const

inline

Definition at line 121 of file simpleMolecularGraph.h.

## operator==()

template<typename Node, typename Edge>

bool BALL::EdgeItem< Node, Edge >::operator== | ( | const EdgeItem< Node, Edge > & | item | ) | const

inline

Definition at line 120 of file simpleMolecularGraph.h.

## setData()

template<typename Node, typename Edge>

void BALL::EdgeItem< Node, Edge >::setData | ( | const Edge & | data | ) |

inline

Definition at line 115 of file simpleMolecularGraph.h.

## Member Data Documentation

## bond_

template<typename Node, typename Edge>

Bond* BALL::EdgeItem< Node, Edge >::bond_

protected

Definition at line 125 of file simpleMolecularGraph.h.

## data_

template<typename Node, typename Edge>

Edge BALL::EdgeItem< Node, Edge >::data_

protected

Definition at line 124 of file simpleMolecularGraph.h.

## source_

template<typename Node, typename Edge>

NodeItemType* BALL::EdgeItem< Node, Edge >::source_

protected

Definition at line 126 of file simpleMolecularGraph.h.

## target_

template<typename Node, typename Edge>

NodeItemType* BALL::EdgeItem< Node, Edge >::target_

protected

Definition at line 127 of file simpleMolecularGraph.h.